Loading...
Searching...
No Matches
juce::midi_ci::DeviceFeatures Class Reference

## Detailed Description

Flags indicating the features that are supported by a given CI device.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIDeviceFeatures.h

## Public Member Functions

| DeviceFeatures ()=default
| Constructs a DeviceFeatures object with no flags enabled.
| DeviceFeatures (std::byte f)
| Constructs a DeviceFeatures object, taking flag values from the "Capability Inquiry Category Supported" byte in a CI Discovery message.
DeviceFeatures | withProfileConfigurationSupported (bool x=true) const
| Returns a new DeviceFeatures instance with profile configuration marked as supported.
DeviceFeatures | withPropertyExchangeSupported (bool x=true) const
| Returns a new DeviceFeatures instance with property exchange marked as supported.
DeviceFeatures | withProcessInquirySupported (bool x=true) const
| Returns a new DeviceFeatures instance with process inquiry marked as supported.
bool | isProfileConfigurationSupported () const
bool | isPropertyExchangeSupported () const
bool | isProcessInquirySupported () const
std::byte | getSupportedCapabilities () const
| Returns the feature flags formatted into a bitfield suitable for use as the "Capability Inquiry Category Supported" byte in a CI Discovery message.
bool | operator== (const DeviceFeatures &other) const
| Returns true if this and other both have the same flags set.
bool | operator!= (const DeviceFeatures &other) const
| Returns true if any flags in this and other differ.

## Constructors and Destructors

## DeviceFeatures() [1/2]

juce::midi_ci::DeviceFeatures::DeviceFeatures | ( |  | ) |

default

Constructs a DeviceFeatures object with no flags enabled.

Referenced by operator!=(), operator==(), withProcessInquirySupported(), withProfileConfigurationSupported(), and withPropertyExchangeSupported().

## DeviceFeatures() [2/2]

juce::midi_ci::DeviceFeatures::DeviceFeatures | ( | std::byte | f | ) |

inline explicit

Constructs a DeviceFeatures object, taking flag values from the "Capability Inquiry Category Supported" byte in a CI Discovery message.

## Member Functions

## withProfileConfigurationSupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withProfileConfigurationSupported | ( | bool | x = true | ) | const

inline nodiscard

Returns a new DeviceFeatures instance with profile configuration marked as supported.

References DeviceFeatures(), and x.

## withPropertyExchangeSupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withPropertyExchangeSupported | ( | bool | x = true | ) | const

inline nodiscard

Returns a new DeviceFeatures instance with property exchange marked as supported.

References DeviceFeatures(), and x.

## withProcessInquirySupported()

DeviceFeatures juce::midi_ci::DeviceFeatures::withProcessInquirySupported | ( | bool | x = true | ) | const

inline nodiscard

Returns a new DeviceFeatures instance with process inquiry marked as supported.

References DeviceFeatures(), and x.

## isProfileConfigurationSupported()

bool juce::midi_ci::DeviceFeatures::isProfileConfigurationSupported | ( |  | ) | const

inline nodiscard

See also
  withProfileConfigurationSupported()

## isPropertyExchangeSupported()

bool juce::midi_ci::DeviceFeatures::isPropertyExchangeSupported | ( |  | ) | const

inline nodiscard

See also
  withPropertyExchangeSupported()

## isProcessInquirySupported()

bool juce::midi_ci::DeviceFeatures::isProcessInquirySupported | ( |  | ) | const

inline nodiscard

See also
  withProcessInquirySupported()

## getSupportedCapabilities()

std::byte juce::midi_ci::DeviceFeatures::getSupportedCapabilities | ( |  | ) | const

inline

Returns the feature flags formatted into a bitfield suitable for use as the "Capability Inquiry Category Supported" byte in a CI Discovery message.

## operator==()

bool juce::midi_ci::DeviceFeatures::operator== | ( | const DeviceFeatures & | other | ) | const

inline

Returns true if this and other both have the same flags set.

References DeviceFeatures().

Referenced by operator!=().

## operator!=()

bool juce::midi_ci::DeviceFeatures::operator!= | ( | const DeviceFeatures & | other | ) | const

inline

Returns true if any flags in this and other differ.

References DeviceFeatures(), and operator==().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited